DSM 6.2 Loader


Recommended Posts

@roadx 🔫 Bang 🔫 Bang :-D just kidding, that's true AMD could have been an issue but it should not be it in this case.

 

In my home, I have 4 running G7 Microservers (and 1 G8), 1 N40L like flo89, and 3 N54L, basicly the same computers, with the 54 using a slightly faster AMD CPU.

 

And I'm not the only one, as can bee seen ie. here where Lestat have been successfully updating to DSM 6.2-23739 Update 2 from DSM 6.1.7 15284, 

based on Jun's loader v1.03b - DS3615xs, baremetal, no extra.lzma used.

 

So with 1.03b as a base, flo89 should be able to find his N40L on the network after the first boot, then manually provide the .pat and install DSM 6.x

 

@flo89 : Are you using the original or modified BIOS?

Link to post
Share on other sites

@flo89 Most users of the Microserver G7 are using a "hacked" version of the BIOS, to be able to set all drives, including the 1 designed for ODD as AHCI, 3GB/s.

Personally I'm using the one released by "TheBay", it's old but proven to work.

 

btw: 1 change you must make in your BIOS, is to disable "C1"

 

 

edit: if disabled, also enable the serial port in BIOS. you should be able to see more output by using a serial cable connected to  the server and a terminal program.

Edited by bearcat
Link to post
Share on other sites

@flo89 Cool :-)  When you say updated, I take it as you flashed a new BIOS, what version did you install? (and what version did you have?)

 

The 1.04b loader has so far been built to be used with the DS918+ "clones",

 the microserver G7 is not compatible for now, due to restricsions on hardware/drivers working with it. AMD vs. Intel CPU is 1 of the problems.

I can see that @Lestat tried, with no luck.

Edited by bearcat
typo
Link to post
Share on other sites
5 hours ago, hannibal1969 said:

Any positive update on the J3455 AsRock ? Thx

Nah, just get another board :)

 

There's an compatibility problem with Linux kernel 4.4.57 and these boards. I think the best hope is that DSM 7 runs on a newer kernel and Jun can perform his magic

Link to post
Share on other sites

Hey i found a guy who solved the Asrock itx i915 freezing problem. He added some lines in the grub file. I dont.know how to add these lines exactly so maybe someone can try this.

Quote

Yes I found the solution... after a lot of crazy day

 

There are 2 different problem:

 

1. Random freeze of PC during inactivity or during working. Solution: the motherboard support memory at 1866MHz, so I bought Corsair memory at that frequency. But my memory is not in the compliant memory list... so I had the idea to reduce the frequency at 1600MHz and the PC don't freeze again

 

2. Systematic freeze when switch from one user to another or after a screen stand-by. Solution: the problem is about i915 graphic card. Reading on internet I found a lot of parameter to add to default grub file

 

i915.modeset=1 i915.enable_rc6=0 i915.enable_fbc=1 i915.enable_guc_loading=1 i915.enable_guc_submission=1 i915.enable_huc=1 i915.enable_psr=1 i915.disable_power_well=0 i915.semaphores=1 i915.enable_execlists=0 processor.max_cstate=1 intel_idle.max_cstate=0

 

I'm not sure what they really need. You can try bu yourself. I added all of them.

 

 

 

I hope that these solutions helps also you.

Forum Topic

It would be nice when someone can try this, thanks.

Link to post
Share on other sites

Hello

 

I have a  HP-Compaq ProLiant MicroServer Gen8 Pentium G2020T  with dsm 6.1.7-15284-2 JUN'S LOADER v1.02b - DS3615

 

If i undestand i can update to 6.2  with  JUN'S LOADER v1.04b  ?

 

But i need to change model to ds918 ??

 

How can i check my driver if they are official ?

 

 

 

Thanks

Link to post
Share on other sites
2 hours ago, jeannotmer said:

Hello

 

I have a  HP-Compaq ProLiant MicroServer Gen8 Pentium G2020T  with dsm 6.1.7-15284-2 JUN'S LOADER v1.02b - DS3615

 

If i undestand i can update to 6.2  with  JUN'S LOADER v1.04b  ?

 

But i need to change model to ds918 ??

 

How can i check my driver if they are official ?

 

 

 

Thanks

CPU appears to be Ivy Bridge, DS918+ loader only works on Haswell and newer.

Link to post
Share on other sites

work fine on a  D1800B-ITXProcesador Intel® Dual-Core J1800 + Placa base Mini-ITX

, migrate 6.02  to 6.2

 

 

only one question , idont change the mac address to use wake on lan ,  i use 1.04b   - synoboot-ds918 .   where is the  grub.cfg to change ??

 

i only see four archives   ...  extra.izma  extra2.izma  rd.gz  zimage 

 

Thanks  

Link to post
Share on other sites
On 8/3/2018 at 5:13 PM, autohintbot said:

 

You should edit grub.cfg with the MAC address you're using in the network adapter on the VM.  See 

 (basically just mount synoboot.img with OSFMount and find/edit there)

 

The other option with ESXi is to edit your Virtual Switch in networking, enable Security->MAC address changes.  DSM will use the MAC address in grub.cfg for its network card, and not the one set in your VM config.  By default with ESXi this security setting is on, which will prevent it from getting on the network if there's a mismatch.  If you're going to use multiple XPEnology installs you'll need to change the MAC address anyway, so might as well.

 

 

Hi ,, 

only one question , idont change the mac address to use wake on lan ,  i use 1.04b   - synoboot-ds918 .   where is the  grub.cfg to change ??

 

i only see four archives in the boot  pendrive   ...  extra.izma  extra2.izma  rd.gz  zimage 

 

Thanks  

 

Link to post
Share on other sites
On 12/13/2018 at 9:35 AM, Profiler64 said:

Hey i found a guy who solved the Asrock itx i915 freezing problem. He added some lines in the grub file. I dont.know how to add these lines exactly so maybe someone can try this.

Forum Topic

It would be nice when someone can try this, thanks.

not worth it man.. while you might get the GPU driver to load, it doesn't help the the kernel version being incompatible with these boards. the overall system is super slow to boot and not worth using (imo :))

Link to post
Share on other sites

Hi guys!

After a while, now I make from scratch my server (bricked up by validate upgrade from 6.1.7 (w BL v1.02b) to 6.2 (I know, I know... I should read forum before, but ******* happens!)

Now, after I wipe my 3Tb HDD (having in mind to start from a clean install) I am faced with two options (both working on my HW -see signature):

 

1.- install and stays with DSM 6.1.7 on ds3615xs, w Jun's BL v1.02b (...! and never update/upgrade to 6.2!); (I read that is much stable...)

2.- install and stays with DSM 6.2 on ds3615xs, w Jun's BL v1.03b (...! and never update/upgrade to 6.2.1!);


I want to make a decision before start restoring my user data on the server's HDD.

 

Any suggestions!?

Thx in advance!...

Edited by roadx
Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.